/* 
   Project: TestApp3

   Copyright (C) 2007 Free Software Foundation

   Author: Mark Tracy

   Created: 2007-06-02 14:48:38 -0700 by gnustep
   
   Application Controller

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
 
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
 
   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/
 
#ifndef _PCAPPPROJ_APPCONTROLLER_H
#define _PCAPPPROJ_APPCONTROLLER_H

#include <AppKit/AppKit.h>

@interface AppController : NSObject
{
IBOutlet NSTextField * textField;
	IBOutlet NSWindow * window;
}

+ (void)initialize;

- (id)init;
- (void)dealloc;

- (void)awakeFromNib;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotif;
- (BOOL)applicationShouldTerminate:(id)sender;
- (void)applicationWillTerminate:(NSNotification *)aNotif;
- (BOOL)application:(NSApplication *)application openFile:(NSString *)fileName;
- (NSWindow *) window;

- (void)showPrefPanel:(id)sender;

- (void) resetTextField: (id) sender;
- (void) rotateFrame: (id) sender;
- (void) rotateBounds: (id) sender;
- (void) translateFrame: (id) sender;
- (void) translateBounds: (id) sender;

@end

#endif
